Name:           python-civics-cdf-validator
Version:        1.50
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Checks if an election feed follows best practices

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/google/civics_cdf_validator
Source:         %{pypi_source civics_cdf_validator}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'civics-cdf-validator' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-civics-cdf-validator
Summary:        %{summary}

%description -n python3-civics-cdf-validator %_description


%prep
%autosetup -p1 -n civics_cdf_validator-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-civics-cdf-validator -f %{pyproject_files}


%changelog
%autochangelog